Bug 1305057 - [GSS] (6.2.z) Unable to automatically create further branches in Managed Git Repository for BRMS 6.2
[GSS] (6.2.z) Unable to automatically create further branches in Managed Git ...
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: CR1
: 6.2.2
Assigned To: Maciej Swiderski
Jan Hrcek
:
Depends On: 1305056
Blocks: 1309326 1309327
  Show dependency treegraph
 
Reported: 2016-02-05 08:45 EST by Amana
Modified: 2016-03-15 09:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1305056
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server_brms.log (260.60 KB, text/plain)
2016-02-11 11:07 EST, Amana
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2199141 None None None 2016-03-15 09:44 EDT

  None (edit)
Description Amana 2016-02-05 08:45:22 EST
+++ This bug was initially created as a clone of Bug #1305056 +++

Description of problem:

It seems like the "Automatically Configure Branches" option when creating a Managed Git Branch is not working properly in BRMS 6.2.

After checking this option, only the master branch is created. "Dev" and "Release" branches are not created and there is a warn message in server.log:

10:44:46,286 WARN  [org.jbpm.executor.impl.AbstractAvailableJobsExecutor] (EJB default - 8) Error during command org.guvnor.asset.management.backend.command.CreateBranchCommand error message Unknown Command implementation with name 'org.guvnor.asset.management.backend.command.CreateBranchCommand': java.lang.IllegalArgumentException: Unknown Command implementation with name 'org.guvnor.asset.management.backend.command.CreateBranchCommand'
	at org.jbpm.executor.impl.ClassCacheManager.findCommand(ClassCacheManager.java:60) [jbpm-executor-6.3.0.Final-redhat-5.jar:6.3.0.Final-redhat-5]
...

It happens everytime you try to create a managed repo with that option enabled in BRMS 6.2. In BPM Suite 6.2, it happens only at first time in a fresh installation... next managed repos can be created properly.


Version-Release number of selected component (if applicable):

BRMS 6.2

How reproducible:

Always

Steps to Reproduce (BRMS 6.2):
1. Install BRMS 6.2;
2. Create a Managed Repository;
3. Check in "Automatically Configure Branches" option;
4. Click on Next button.

Actual results (BRMS 6.2):
It will throw a warn message in server log and the further repos (dev and release) will not be created. Go to the Authoring -> Project Authoring -> Select the managed repo. The button that should display other branches is not there.

Steps to Reproduce (BPM Suite 6.2):
1. Install BPM Suite 6.2;
2. Create a Managed Repository;
3. Check in "Automatically Configure Branches" option;
4. Click on Next button. You will face the same issue reproduce in BRMS 6.2.
5. Now repeat steps from 2-4. Now you should be able to create the managed repo and see the dev and release branches created properly.

Expected results:
It should be created properly in both Products at first time successfully.

Additional info:
Comment 2 manstis 2016-02-05 08:56:53 EST
@maciejs, I've assigned to you as the Command Class (org.guvnor.asset.management.backend.command.CreateBranchCommand) is in guvnor and I'm at a loss why org.jbpm.executor.impl.AbstractAvailableJobsExecutor may be failing to find it (I recall we had some issues with different instances of AbstractAvailableJobsExecutor needing different DataSources, but AFAIK we only have one "out of the box"?). Would you mind taking a look?
Comment 4 Amana 2016-02-11 11:07 EST
Created attachment 1123216 [details]
server_brms.log
Comment 5 Maciej Swiderski 2016-02-25 12:01:18 EST
fix back ported to 6.3.x branch

guvnor
6.3.x:
https://github.com/droolsjbpm/guvnor/commit/2c3a29eda81c3a51167b4cee9ac339b497466266
Comment 6 Jan Hrcek 2016-03-08 07:10:01 EST
Ok, I verified with both BRMS 6.2.2 and BPM Suite 6.2.2 that it's possible to create managed repository. The branches are created successfully without errors and it's possible to switch among them in both authoring / Administration perspectives.

However there's still a small UI issue related to this - the branches in managed repository are not initially listed in Repository editor after the repo is created. User must leave Administration perspective and return back to actually see them. I reported this issue in separate bug #1315671 because I think this doesn't block this small UI issue should block the patch from being released.Setting this one as verified.

Note You need to log in before you can comment on or make changes to this bug.